// SpecialityNameDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Cthulhu.h"
#include "Skill.h"
#include "SpecialityNameDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSpecialityNameDlg dialog


CSpecialityNameDlg::CSpecialityNameDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSpecialityNameDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSpecialityNameDlg)
	m_strSpeciality = _T("");
	//}}AFX_DATA_INIT
}


void CSpecialityNameDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSpecialityNameDlg)
	DDX_Control(pDX, IDC_SPECIALITY, m_wndSpeciality);
	DDX_CBString(pDX, IDC_SPECIALITY, m_strSpeciality);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSpecialityNameDlg, CDialog)
	//{{AFX_MSG_MAP(CSpecialityNameDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSpecialityNameDlg message handlers

BOOL CSpecialityNameDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
    //trim off the leading *s
    char szBuffer[64];
    const char *pBuf = LPCSTR(m_strSkill);
    while( *pBuf == '*' ) pBuf++;
    strcpy( szBuffer, pBuf );
    m_strSkill = szBuffer;

    //set caption
	SetWindowText( "Speciality - " + m_strSkill );

    //load options for this
    CString* pstrOptions = GetOptions( m_strSkill );

	if( pstrOptions != NULL )
	{
		int i = 0;
		while( pstrOptions[i].GetLength() > 0 )
		{
			m_wndSpeciality.AddString( pstrOptions[i] );
			i++;
		}

        delete[] pstrOptions;
	}

	//update it
	UpdateData(FALSE);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
