// NewCharacter_Wizard.cpp : implementation file
//

#include "stdafx.h"
#include "resource.h"
#include "NewCharacter_Wizard.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CNewCharacterWizard

IMPLEMENT_DYNAMIC(CNewCharacterWizard, CPropertySheet)

CNewCharacterWizard::CNewCharacterWizard(CWnd* pWndParent)
	 : CPropertySheet(IDS_PROPSHT_CAPTION, pWndParent)
{
	m_pOccupation = NULL;

	m_nSkillPoints = 0;
	m_nPersonalInterestPoints = 0;

    m_fShowFullWizard = FALSE;
    
	SetWizardMode();
}

CNewCharacterWizard::~CNewCharacterWizard()
{
}


BEGIN_MESSAGE_MAP(CNewCharacterWizard, CPropertySheet)
	//{{AFX_MSG_MAP(CNewCharacterWizard)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CNewCharacterWizard message handlers



int CNewCharacterWizard::DoModal() 
{

    if( m_fShowFullWizard ) //should we show everything or only the core stuff?
    {
        //show all pages
	    AddPage(&m_Outline);
	    AddPage(&m_Occupation);
	    AddPage(&m_Weapons);
	    AddPage(&m_Skills);
	    AddPage(&m_PersonalInterest);
	    AddPage(&m_NameEtc);
	    AddPage(&m_Finished);
    }
    else
    {
        //show core pages
	    AddPage(&m_Outline);
	    AddPage(&m_NameEtc);
	    AddPage(&m_Finished);
    }
	
	int nResult = CPropertySheet::DoModal();

    //remind them of how many experience points they've got if it was only the short wizard
    if( nResult != IDCANCEL && m_fShowFullWizard == FALSE )
    {
        CString strMessage;
        strMessage.Format( "You have %d skill points and %d personal interest points to spend", m_nSkillPoints, m_nPersonalInterestPoints );
        AfxMessageBox( strMessage, MB_ICONINFORMATION );

        m_Investigator.SetOccupationSkills( NULL );
    }

    return nResult;
}
